<template>
	<div class="page">
		<template-page v-show="!formDialog" ref="pageRef" :get-list="getList" :table-attributes="tableAttributes" :table-events="tableEvents" :operationColumnWidth="110"
		  :options-evens-group="optionsEvensGroup" :moreParameters="moreParameters" :column-parsing="columnParsing"
		  :operation="operation" :exportList="exportList">
		  
		  <div slot="moreSearch">
		    <el-radio-group v-model="flag" size="mini" @change="changeType">
		    	<el-radio-button label="">全部</el-radio-button>
		    	<el-radio-button label="PAY_NOT_TAKE">已支付</el-radio-button>
		    	<el-radio-button label="SUBMIT">未支付</el-radio-button>
		    	<el-radio-button label="PAY_TAKE">已提货</el-radio-button>
		    </el-radio-group>
		    <br><br>
		  </div>
		</template-page>
		<div class="detail" v-if="formDialog">
			<auxiliarySalesOrderDetail :id="id" @back="backList" :formType="formDialogType" :title="'辅材销售订单' + formDialogTitles[formDialogType]"></auxiliarySalesOrderDetail>
		</div>
	</div>
</template>

<script>
import TemplatePage from '@/components/template/template-page-1.vue'
import auxiliarySalesOrderDetail from '../components/auxiliarySalesOrderDetail.vue'
import import_mixin from '@/components/template/import_mixin.js'
import ImageUpload from '@/components/file-upload'
import { downloadFiles } from '@/utils/util'
import { required, mobileRequired, mobile, httpUrl, email } from '@/components/template/rules_verify.js'
import { listPageV2,pageExport, getDetail, add, edit, submit } from "@/api/auxiliaryFittings/auxiliarySalesOrder";
export default {
  components: { TemplatePage, ImageUpload, auxiliarySalesOrderDetail },
  mixins: [import_mixin],
  data() {
    return {
      // 事件组合
      optionsEvensGroup: [
	  	[
	  		[
	  			{
	  				name: '新建',
	  				click: this.addData
	  			}
	  		]
	  	]
	  ],
      // 表格属性
      tableAttributes: {
        // 启用勾选列
        selectColumn: true
      },
      // 表格事件
      tableEvents: {
        'selection-change': this.selectionChange
      },
      // 勾选选中行
      recordSelected: [],
      /** 表单变量 */
      formDialogType: 0,
      formDialogTitles: ["新增","编辑", "详情"],
      formDialog: false,
		id: '',
		flag: ''
    }
  },
  computed: {
    // 更多参数
    moreParameters() {
      return []
    },
    formItems() {}
  },
  methods: {
	// 切换状态
	changeType(val) {
	  this.$refs.pageRef.refreshList()
	},
	backList() {
		this.id = ''
		this.formDialog = false;
		this.$refs.pageRef.refreshList()
	},
    // 列表请求函数
	getList(p,cb) {
	  try {
	    var pam = JSON.parse(JSON.stringify(p))
	    pam.params.push({ "param": "a.goods_type", "compare": "=", "value": 'M' },{'param': 'a.flag', "compare": "=", "value": this.flag})
		cb && cb(pam)
	    return listPageV2(pam)
	  } catch (error) {
	    console.log(error)
	  }
	},
    // 列表导出函数
    exportList: pageExport,
    // 表格列解析渲染数据更改
    columnParsing(item, defaultData) {
		if (item.jname === 'idCardImg') {
		        defaultData.render = (h, { row, index, column }) => {
		          return (
		            <div style="padding:0 6px;cursor: pointer;">
		              {row.idCardImg ? row.idCardImg.split(",").map(url => <el-image src={url} preview-src-list={[url]} fit="fit" style="width:80px;height:80px;" />) : null}
		            </div>
		          )
		        }
		      }
      return defaultData
    },
    // 监听勾选变化
    selectionChange(data) {
      this.recordSelected = data
    },
    // 表格操作列
    operation(h, { row, index, column }) {
      return (
        <div class='operation-btns'>
			<el-button type="text" onClick={() => {
				this.id = row.salesId
				this.formDialogType = row.flag == 'SAVE'?1:2
				this.openForm()
			}}>{row.flag == 'SAVE'?'编辑':"详情"}</el-button>
			{row.flag == 'PAY_NOT_TAKE'?<el-button type="text" onClick={() => {
				this.id = row.salesId
				this.formDialogType = row.flag == 'SAVE'?1:2
				this.openForm()
			}}>确认提货</el-button>:null}
        </div>
      )
    },
    addData() {
      this.formDialogType = 0
      this.openForm()
    },
    openForm() {
      this.formDialog = true;
    },
	// 下载导入模版
	handleDownload() {
	  // downloadFiles('charging/standard/download');
	},
  }
}
</script>

<style lang="scss" scoped>
	.page{
		height: 100%;
	}
	.tab{
		padding: 20px 20px 0 20px;
	}
</style>
